<!DOCTYPE html>
<html>
  <head>
    <title>Reset wachtwoord</title>
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="apple-touch-icon" sizes="180x180" href="apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="favicon-16x16.png">
    <link rel="manifest" href="site.webmanifest">
    <% if (env.NODE_ENV === 'production') { %>
    <link type="text/css" rel="stylesheet" href="css/materialize.min.css" media="screen,projection"/>
    <% } else { %>
    <link type="text/css" rel="stylesheet" href="css/materialize.css" media="screen,projection"/>
    <% } %>

    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>

    <style>
      html, body {
        margin: 0;
        padding: 0;
      }

      html {
        background-color: <%= colors.watervlo_blue %>;
        color: <%= colors.watervlo_yellow %>;
        font-family: "Roboto", sans-serif;
      }

      .watervlo-blue,
      .watervlo-blue:hover {
        background-color: <%= colors.watervlo_blue %>;
      }
      .watervlo-blue-text {
        color: <%= colors.watervlo_blue %>;
      }

      .watervlo-yellow,
      .watervlo-yellow:hover {
        background-color: <%= colors.watervlo_yellow %>;
      }
      .watervlo-yellow-text {
        color: <%= colors.watervlo_yellow %>;
      }

    </style>

  </head>
  <body>
    <center>
      <h1>Reset wachtwoord</h1>
      <div class="container row">
        <div class="card col s12 m6 offset-m3 white">
          <div class="card-content watervlo-blue-text">
            <form action="resetPassword" method="post">

              <div class='row'>
                <div class='input-field col s12'>
                  <i class="material-icons prefix watervlo-blue-text">lock</i>
                  <input type='password' name='password1' id='password1' required="" aria-required="true" />
                  <label for='password1'>Voer je wachtwoord in</label>
                </div>
              </div>

              <div class='row'>
                <div class='input-field col s12'>
                  <i class="material-icons prefix watervlo-blue-text">lock</i>
                  <input type='password' name='password2' id='password2' required="" aria-required="true" />
                  <label for='password2'>Herhaal wachtwoord</label>
                </div>
              </div>

              <div class='row'>
                <button type='submit' class='col s12 btn btn-large waves-effect indigo'>Reset wachtwoord</button>
              </div>

            </form>
          </div>
        </div>
      </div>
    </center>

    <!-- Include scripts -->
    <script type="text/javascript" src="materialize.min.js"></script>

    <!-- On load scripts -->
    <script>
      window.addEventListener('load', () => {
        const urlParams = new URLSearchParams(window.location.search)

        if (urlParams.has('error')) {
          alert(urlParams.get('error'))
        }
      })
    </script>
  </body>
</html>
